u-boot-menu (4.2.4ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (LP: #2120467). Remaining changes:
    - By default expect device-trees in /lib/firmware/
    - Support device-tree/ sub-directory for device-trees
    - Make default U_BOOT_PARAMETERS "ro earlycon"

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Aug 2025 15:42:17 +0100

u-boot-menu (4.2.4) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * etc/kernel/post{inst,rm}.d/zz-u-boot-menu: check whether u-boot-menu
    is still installed before proceeding (Closes: #1061687)

  [ Markus Burri ]
  * Separate devicetree overlay directory for each kernel
    (Closes: #1095811, #1036730)

  [ Vagrant Cascadian ]
  * Use /dtbs/ directory when using U_BOOT_SYNC_DTBS, to avoid breaking
    installations where flash-kernel is installed. (Closes: #1091979)
  * debian/control: Update Standards-Version to 4.7.2.
  * u-boot-menu postinst: Do not call u-boot-update with a full path.
  * read-config: Mark as executable.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 08 Apr 2025 15:33:04 -0700

u-boot-menu (4.2.3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054686). Remaining changes:
    - By default expect device-trees in /lib/firmware/
    - Support device-tree/ sub-directory for device-trees
    - Make default U_BOOT_PARAMETERS "ro earlycon"

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 27 Feb 2024 11:14:15 +0100

u-boot-menu (4.2.3) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Default to U_BOOT_PROMPT set to "1".

  [ Arnaud Ferraris ]
  * u-boot-update: split config file reading to a separate script
  * read-config: make /boot partition check a function
  * Allow automatically syncing DTBs when /boot is on a separate partition
    (Closes: #1025956)

  [ Johannes Schauer Marin Rodrigues ]
  * debian/u-boot-menu.postinst: create extlinux.conf on initial
    installation. (Closes: #1053814)

  [ Vagrant Cascadian ]
  * Mirror etc directory for kernel post*.d files.
  * Add hook to call u-boot-update for kernel-install. Thanks to Manuel
    Traut. (Closes: #1027899)
  * Simplify installation of /etc/default/u-boot
  * debian/control: Update Standards-Version to 4.6.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 17 Jan 2024 12:44:46 -0800

u-boot-menu (4.2.2ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2018373)
    Remaining changes:
    - Make default U_BOOT_PARAMETERS "ro earlycon".
    - Support device-tree/ sub-directory for device-trees.
    - By default expect device-trees in /lib/firmware/

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 May 2023 11:57:26 +0200

u-boot-menu (4.2.2) unstable; urgency=medium

  [ Diederik de Haas ]
  * u-boot-update: Make 'prompt' configurable (Closes: #1034071)

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 08 Apr 2023 16:12:34 -0700

u-boot-menu (4.2.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2006693)
    Remaining changes:
    - Make default U_BOOT_PARAMETERS "ro earlycon".
    - Support device-tree/ sub-directory for device-trees.
    - By default expect device-trees in /lib/firmware/

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 24 Jan 2022 17:01:33 +0100

u-boot-menu (4.2.1) unstable; urgency=medium

  * Revert "add kalsrseed support" (Closes: #1025954)

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 12 Dec 2022 13:26:47 -0800

u-boot-menu (4.2.0) unstable; urgency=medium

  [ Zhang Ning ]
  * add kalsrseed support
  * fix fdtoverlays path

  [ Debian Janitor ]
  * Apply multi-arch hints. + u-boot-menu: Add Multi-Arch: foreign.
  * Use secure copyright file specification URI.

  [ Arnaud Ferraris ]
  * u-boot-update: allow using config fragments (Closes: #1012333)
  * u-boot-update: honor /etc/kernel/cmdline (Closes: #1019743)

  [ Vagrant Cascadian ]
  * debian/control: Add Vagrant Cascadian to Uploaders.
  * u-boot-menu.postinst: Add debhelper token.

  [ Nicolas Frattaroli ]
  * u-boot-update: use U_BOOT_FDT as absolute path if it is one
    (Closes: #1025435)

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 11 Dec 2022 15:05:25 -0800

u-boot-menu (4.1.0ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1987295)
    Remaining changes:
    - Make default U_BOOT_PARAMETERS to be "ro earlycon".
    - Support device-tree/ sub-directory for device-trees.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 24 Jan 2022 17:01:33 +0100

u-boot-menu (4.1.0) unstable; urgency=medium

  * tighten quoting in shell code, thanks to shellcheck
  * use POSIX shell (not bash)
  * set shell option explicitly (not in shebang)
  * support fdtoverlays command
    with variables U_BOOT_FDT_OVERLAYS U_BOOT_FDT_OVERLAYS_DIR;
    closes: bug#1013150, thanks to Alexandre Viard

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Jun 2022 22:40:29 +0200

u-boot-menu (4.0.5) unstable; urgency=medium

  * support configurable initrd filename stem
    with variable U_BOOT_INITRD,
    and use unversioned initrd as fallback to versioned;
    closes: bug#1006668, thanks to Undef and Arnaud Ferraris
  * declare compliance with Debian Policy 4.6.1
  * update header and credit in man page
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Jun 2022 17:15:39 +0200

u-boot-menu (4.0.4ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes (LP: #1959241):
    - Make default U_BOOT_PARAMETERS to be "ro earlycon".
    - Support device-tree/ sub-directory for device-trees. 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 24 Jan 2022 17:01:33 +0100

u-boot-menu (4.0.4) unstable; urgency=medium

  * taking over as maintainer;
    thanks for your past contributions, Riku Voipio;
    closes: bug#1001568, thanks to Mattia Rizzolo
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + update coverage
    + list Salsa (not Github) for upstream source and preferred contact URIs

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Dec 2021 13:38:06 +0100

u-boot-menu (4.0.3ubuntu2) impish; urgency=medium

  * Fix up merge conflicts in the previous upload.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 May 2021 11:10:18 +0100

u-boot-menu (4.0.3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make default U_BOOT_PARAMETERS to be "ro earlycon". If one is using
      embedded boards, most likely they want verbosity.
    - Go back to generating fdtdir option in extlinux.conf, instead patch
      u-boot qemu-riscv64_smode target to not process or load fdtdir
      option.
  * Dropped changes, included in Debian:
    - u-boot-update: use PRETTY_NAME from os-release as menu label.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Apr 2021 23:38:52 -0700

u-boot-menu (4.0.3) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * u-boot-update: use PRETTY_NAME from os-release as menu label.

  [ Jonas Smedegaard ]
  * fix typo in code comment, thanks to Peter Geis
  * document U_BOOT_FDT_DIR and U_BOOT_FDT in man page;
    closes: bug#946971, thanks to Peter Geis and Andrei Popescu
  * document resolving of menu items from U_BOOT_FDT_DIR and U_BOOT_FDT
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Nov 2020 13:42:40 +0100

u-boot-menu (4.0.2ubuntu5) hirsute; urgency=medium

  * Go back to generating fdtdir option in extlinux.conf, instead patch
    u-boot qemu-riscv64_smode target to not process or load fdtdir
    option. Currently the dtb for riscv64 unmatched board in kernel &
    u-boot are _unmatched_ meaning u-boot must use its dtb, and kernel
    must use its dtb. Hence fdtdir option in extlinux.conf is
    required. LP: #1925267 LP: #1923162

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Apr 2021 03:32:22 +0100

u-boot-menu (4.0.2ubuntu4) hirsute; urgency=medium

  * Revert "Add support for ubuntu kernels location of device trees." as
    it breaks booting riscv64 images with qemu, as the qemu in-ram dtb
    should be used not the one from disk. LP: #1923162

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Apr 2021 15:50:07 +0100

u-boot-menu (4.0.2ubuntu3) hirsute; urgency=medium

  * Add support for ubuntu kernels location of device trees.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Mar 2021 18:29:10 +0000

u-boot-menu (4.0.2ubuntu2) hirsute; urgency=medium

  * Make default U_BOOT_PARAMETERS to be "ro earlycon". If one is using
    embedded boards, most likely they want verbosity.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 18:26:52 +0000

u-boot-menu (4.0.2ubuntu1) hirsute; urgency=medium

  * u-boot-update: use PRETTY_NAME from os-release as menu label.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Nov 2020 12:18:13 +0000

u-boot-menu (4.0.2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * install example script for syncing .dtb files
    for systems with a split /boot partition
  * fix comment handling in in /etc/fstab

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.5.0
  * use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * copyright: extend coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2020 18:42:17 +0200

u-boot-menu (4.0.1) unstable; urgency=medium

  * fix support U_BOOT_MENU_LABEL;
    closes: bug#930395, thanks to Steev Klimaszewski
  * fix skip commented-out fstab entry;
    closes: bug#946950, thanks to Andrei POPESCU

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Dec 2019 13:47:55 +0100

u-boot-menu (4) unstable; urgency=medium

  * Add git-buildpackage config:
    + Sign tags.
    + Use DEP-14 vendor-namespaced git branch naming.
  * Fix avoid hardcoding vmlinuz as kernel stem.
    Closes: Bug#928735. Thanks to Vagrant Cascadian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2019 08:53:57 +0200

u-boot-menu (3) unstable; urgency=medium

  * Fix account for boot on separate partition
    when resolving fdt or fdtdir.
    Closes: Bug#868454. Thanks to Diego Roversi.
  * Try resolve U_BOOT_FDT or flash-boot paths in /boot
    if U_BOOT_FDT_DIR is set to its default.
    Suggest flash-kernel, and mention its use in long desctiption.
    Closes: Bug#926126. Thanks to Diego Roversi.
  * Fix install /etc/default/u-boot,
    with all options at default values and commented out.
    Closes: Bug#926127. Thanks to Diego Roversi.
  * Fix set U_BOOT_PARAMETERS to "ro quiet" (not empty) by default.
    Closes: Bug#908590.
  * Use linux cmdline argument "single" in recovery mode
    (not systemd-specific "systemd.unit=rescue.target").
    Closes: Bug#884748. Thanks to Adam Borowski.
  * Add myself as uploader.
  * Update Vcs-* fields: Maintenance moved to salsa.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Update copyright info: Extend coverage.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Mar 2019 22:54:03 +0200

u-boot-menu (2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Use linux-version to list and sort the available versions correctly.
    closes: #865918

  [ Riku Voipio ]
  * update manpage
  * Add linux-base depends since we now use linux-version script

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 26 Jun 2017 08:54:16 +0300

u-boot-menu (1) unstable; urgency=medium

  * Initial release.

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 27 Jan 2017 11:42:25 +0200
